package com.reactnativenativeappmodule;

import androidx.annotation.NonNull;

import com.facebook.react.bridge.Promise;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.module.annotations.ReactModule;

@ReactModule(name = NativeappmoduleModule.NAME)
public class NativeappmoduleModule extends ReactContextBaseJavaModule {
    public static final String NAME = "Nativeappmodule";

    public NativeappmoduleModule(ReactApplicationContext reactContext) {
        super(reactContext);
    }

    @Override
    @NonNull
    public String getName() {
        return NAME;
    }


    // Example method
    // See https://reactnative.dev/docs/native-modules-android
    @ReactMethod
    public void multiply(double a, double b, Promise promise) {
        promise.resolve(a * b);
    }

        @ReactMethod
    public void add(double a, double b, Promise promise) {
        promise.resolve(a + b);
    }
         @ReactMethod
    public void sayname(String name, Promise promise) {
        promise.resolve(name);
    }

}
