"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.add = add;
exports.multiply = multiply;
exports.sayname = sayname;
exports.setEvent = setEvent;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-nativeappmodule' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const Nativeappmodule = _reactNative.NativeModules.Nativeappmodule ? _reactNative.NativeModules.Nativeappmodule : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
const Hammad = _reactNative.NativeModules.Hammad ? _reactNative.NativeModules.Nativeappmodule : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

function multiply(a, b) {
  return Nativeappmodule.multiply(a, b);
}

function add(a, b) {
  return Nativeappmodule.add(a, b);
}

function sayname(name) {
  return Nativeappmodule.sayname(name);
}

function setEvent(name, location, id, callBack) {
  return Hammad.createCalendarEvent(name, location, id, callBack);
}
//# sourceMappingURL=index.js.map