import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-nativeappmodule' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const Nativeappmodule = NativeModules.Nativeappmodule ? NativeModules.Nativeappmodule : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
const Hammad = NativeModules.Hammad ? NativeModules.Nativeappmodule : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
export function multiply(a, b) {
  return Nativeappmodule.multiply(a, b);
}
export function add(a, b) {
  return Nativeappmodule.add(a, b);
}
export function sayname(name) {
  return Nativeappmodule.sayname(name);
}
export function setEvent(name, location, id, callBack) {
  return Hammad.createCalendarEvent(name, location, id, callBack);
}
//# sourceMappingURL=index.js.map