package com.newapp; // replace com.your-app-name with your app’s name
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import java.util.Map;
import java.util.HashMap;
import android.util.Log;

import androidx.annotation.Nullable;

import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.modules.core.DeviceEventManagerModule;


public class Hammad extends ReactContextBaseJavaModule {
    public ReactContext context;

    Hammad(ReactApplicationContext context) {
        super(context);
        this.context=context;
    }

    private void sendEvent(ReactContext reactContext,
                           String eventName,
                           String params) {
        reactContext
                .getJSModule(DeviceEventManagerModule.RCTDeviceEventEmitter.class)
                .emit(eventName, params);
    }
    @ReactMethod
    public void addListener(String eventName) {
        // Set up any upstream listeners or background tasks as necessary
    }

    @ReactMethod
    public void removeListeners(Integer count) {
        // Remove upstream listeners, stop unnecessary background tasks
    }


    @Override
    public String getName() {
        return "CalendarModule";
    }
    @Override
    public Map<String, Object> getConstants() {
        final Map<String, Object> constants = new HashMap<>();
        constants.put("DEFAULT_EVENT_NAME", "New Event");
        constants.put("hellow", "New Event");
        constants.put("yellow", "New Event");

        return constants;
    }



    @ReactMethod
    public void createCalendarEvent(String name, String location, String id, Callback callBack) {
        Log.d("hammd", "Create event called with name: " + name
                + " and location: " + location);
        String eventId = id;
       callBack.invoke(eventId);
        sendEvent(this.context,"EventReminder", "hellllllp");


    }
}